wifi8 2.0.0.0

Data Fields
wifi8_m2m_conn_info_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
char | ac_ssid [M2M_MAX_SSID_LEN]
uint8_t | u8_sec_type
uint8_t | au8ip_addr [4]
uint8_t | au8mac_address [6]
uint8_t | s8rssi
uint8_t | __pad24__ [3]

## Field Documentation

## ◆ __pad24__

uint8_t __pad24__[3]

padding bytes for forcing 4-byte alignment

## ◆ ac_ssid

char ac_ssid[M2M_MAX_SSID_LEN]

ap connection ssid name

## ◆ au8ip_addr

uint8_t au8ip_addr[4]

connection ip address

## ◆ au8mac_address

uint8_t au8mac_address[6]

mac address of the peer wi-fi station

## ◆ s8rssi

uint8_t s8rssi

connection rssi signal

## ◆ u8_sec_type

uint8_t u8_sec_type

security type

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h